import { MyClass } from './GremlinClient';

var myInstance;

beforeAll( () => 
{
    myInstance = new MyClass(8182, 'localhost');
    return myInstance.clean()
    .then(result => console.log(result))
    .catch(e => console.error(e));
});

it('gremlin test', () => {
    return myInstance.countVertices()
    .then(count => {
        expect(count[0]).toBe(0);
        return myInstance.createVertex('mylabel');
    })
    .then( (vertex) => {
        console.log('vertex: ', vertex);
        return myInstance.countVertices();
    })
    .then(count => expect(count[0]).toBe(1))
    .catch(e => console.error(e));
});